/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.geronimo.samples.datacdinfo.web.struts1;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.ValidatorActionForm;
import java.sql.Date;

import javax.servlet.http.HttpServletRequest;

public class DataCDForm extends ValidatorActionForm {
    /**
     * 
     */
    private static final long serialVersionUID = -2878208025571945031L;
    
    private Integer cdID = null;    
    private String cdLabel = null;
    private String cdDescription = null;
    private Integer cdSize = null;
    private Date cdArchiveDate = null;
    private OwnerForm owner = new OwnerForm();
    
    public Integer getCdID() {
        return cdID;
    }
    public void setCdID(Integer cdID) {
        this.cdID = cdID;
    }
    public String getCdLabel() {
        return cdLabel;
    }
    public void setCdLabel(String cdLabel) {
        this.cdLabel = cdLabel;
    }
    public String getCdDescription() {
        return cdDescription;
    }
    public void setCdDescription(String cdDescription) {
        this.cdDescription = cdDescription;
    }
    public Integer getCdSize() {
        return cdSize;
    }
    public void setCdSize(Integer cdSize) {
        this.cdSize = cdSize;
    }
    public Date getCdArchiveDate() {
        return cdArchiveDate;
    }
    public void setCdArchiveDate(Date cdArchiveDate) {
        this.cdArchiveDate = cdArchiveDate;
    }
    public OwnerForm getOwner() {
        return owner;
    }
    public void setOwner(OwnerForm owner) {
        this.owner = owner;
    }
    
    public void reset(ActionMapping mapping, HttpServletRequest request) {
           cdID = null;
           cdLabel = null;
           cdDescription = null;
           cdSize = null;
           cdArchiveDate = null;
           owner = new OwnerForm();           
        }

}
